/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	Defintions for interfacing to the BOSS at the packet level	*/
/*									*/
/************************************************************************/

#define		EVEN_PARITY		0
#define		ODD_PARITY		1
#define		NO_PARITY		2

#define		BAUD_1200		0
#define		BAUD_2400		1
#define		BAUD_4800		2
#define		BAUD_9600		3

#define		PORT_TTYA		0
#define		PORT_TTYB		1

#define		OBJECT_RECEIVED		0
#define		OBJECT_RESEND		1
#define		OBJECT_ERROR		2

PUBLIC	int	start_session();
PUBLIC	int	send_packet();
PUBLIC	int	receive_packet();
PUBLIC	int	wait_for_acknowledgement();
