/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	window_misc.c	miscellaneous window management functions	*/
/*									*/
/************************************************************************/

#include	<stdio.h>
#include	<sys/param.h>
#include	<sys/types.h>
#include	<xview/xview.h>
#include	<xview/panel.h>
#include	<xview/notice.h>

#include	"boss_ui.h"

#include	"manifest.h"

PUBLIC	boss_base_objects	*boss_base;

/************************************************************************/
EXPORT	error(a, b, c, d, e, f)

char	*a, *b, *c, *d, *e, *f;

{	char	buf[512];

	sprintf(buf, a, b, c, d, e, f);
	notice_prompt(boss_base->base, NULL,
		         NOTICE_MESSAGE_STRINGS, buf, 0,
		         NOTICE_BUTTON_YES, "OK",
		      0);
}
