/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	calentool.h	definitions for using calentool files		*/
/*									*/
/************************************************************************/

#define		LINE_COMMENT		0
#define		LINE_APPOINTMENT	1
#define		LINE_BLANK		2

#define		SUNDAY			-1
#define		MONDAY			-2
#define		TUESDAY			-3
#define		WEDNESDAY		-4
#define		THURSDAY		-5
#define		FRIDAY			-6
#define		SATURDAY		-7
#define		WILDCARD		-8

typedef	struct	c_rec	calen;

struct	c_rec	{int	kind;
		 int	year;
		 int	month;
		 int	day;
		 int	hour;
		 int	minute;
		 int	length;
		 int	repeat;
		 char	*interval;
		 char	*warning;
		 char	*message;
		 calen	*next;
		};

PUBLIC	calen	*load_calentool();
