/************************************************************************/
/*	Copyright 1987-1991 by Chuck Musciano and Harris Corporation 	*/
/*									*/
/*	Full ownership of this software, and all rights pertaining to 	*/
/*	the for-profit distribution of this software, are retained by 	*/
/*	Chuck Musciano and Harris Corporation.  You are permitted to 	*/
/*	use this software without fee.  This software is provided "as 	*/
/*	is" without express or implied warranty.  You may redistribute 	*/
/*	this software, provided that this copyright notice is retained,	*/
/*	and that the software is not distributed for profit.  If you 	*/
/*	wish to use this software in a profit-making venture, you must 	*/
/*	first license this code and its underlying technology from 	*/
/*	Harris Corporation. 						*/
/*									*/
/*	Bottom line: you can have this software, you can use it, you 	*/
/*	can give it away.  You just can't sell any or all parts of it 	*/
/*	without prior permission from Harris Corporation. 		*/
/************************************************************************/

/************************************************************************/
/*									*/
/*	database.c	maintain BOSS object database			*/
/*									*/
/************************************************************************/

#include	"manifest.h"
#include	"object.h"
#include	"globals.h"

EXPORT	object	*data[MAX_OBJECT_KINDS] = {NULL, NULL, NULL, NULL, NULL};

/************************************************************************/
EXPORT	add_to_list(obj)

object	*obj;

{	object	*o;

	if ((o = data[obj->kind]) == NULL)
	   data[obj->kind] = obj;
	else {
	   while (o->next)
	      o = o->next;
	   o->next = obj;
	   }
	obj->next = NULL;
	update_object_count();
}
